﻿using System.ComponentModel.Design;
using Nop.Core.Configuration;

namespace Nop.Plugin.Payments.OmniKassa
{
    public class OmniKassaPaymentSettings : ISettings
    {        
        public string MerchantId { get; set; }
        public string NormalReturnUrl { get; set; }
        public string AutomaticResponseUrl { get; set; }
        public string OmniKassaUrl { get; set; }
        public string TestOmniKassaUrl { get; set; }
        public decimal AdditionalFee { get; set; }
        /// <summary>
        /// Gets or sets a value indicating whether to "additional fee" is specified as percentage. true - percentage, false - fixed value.
        /// </summary>
        public bool AdditionalFeePercentage { get; set; }
        public decimal MinimumAmount { get; set; }
        public string SecretKey { get; set; }
        public string SecretKeyVersion { get; set; }
        public bool TestMode { get; set; }
        public string RedirectionTip { get; set; }
        public string InterfaceVersion { get; set; }
        public bool IsPaymentMethodUserChoice { get; set; }
        public string OmniKassaServicesList { get; set; }
        public string IdealDefaultDisplayName { get; set; }
        public string VisaDefaultDisplayName { get; set; }
        public string MasterCardDefaultDisplayName { get; set; }
        public string MaestroDefaultDisplayName { get; set; }
        public string MiniTixDefaultDisplayName { get; set; }
        public string IncassoDefaultDisplayName { get; set; }
        public string RemboursDefaultDisplayName { get; set; }
        public string AcceptgiroDefaultDisplayName { get; set; }
    }
}