﻿using FluentValidation;
using Nop.Plugin.Payments.OmniKassa.Models;
using Nop.Services.Localization;

namespace Nop.Plugin.Payments.OmniKassa.Validators
{
    public class PaymentInfoValidator : AbstractValidator<PaymentInfoModel>
    {
        public PaymentInfoValidator(ILocalizationService localizationService)
        {
            //useful links:
            //http://fluentvalidation.codeplex.com/wikipage?title=Custom&referringTitle=Documentation&ANCHOR#CustomValidator
            //http://benjii.me/2010/11/credit-card-validator-attribute-for-asp-net-mvc-3/
                  
            RuleFor(x => x.SelectedPaymentMethod)
                .NotNull()
                .When(y => y.IsPaymentMethodUserChoice)
                .WithMessage(localizationService.GetResource("Plugins.Payments.OmniKassa.PaymentChoice.Required"));
        }
    }
}